Bug 1642461 - [RFE] add a secondary ip to the primary/first interface of a redhat instance automatically when the change is applied on the infrastructure side [AWS]
Summary: [RFE] add a secondary ip to the primary/first interface of a redhat instance ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.1
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1806894
Blocks: 1623084 1701002 1738635 1755139 1791212 1823315
TreeView+ depends on / blocked
 
Reported: 2018-10-24 13:09 UTC by Davide F Bragalone
Modified: 2020-04-28 16:53 UTC (History)
21 users (show)

Fixed In Version: NetworkManager-1.22.0-0.2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1791212 1823315 (view as bug list)
Environment:
Last Closed: 2020-04-28 16:52:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
journal_t3a.large.log (107.29 KB, text/plain)
2020-01-17 06:14 UTC, Xiao, Liang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1847 None None None 2020-04-28 16:53:54 UTC

Description Davide F Bragalone 2018-10-24 13:09:41 UTC
Customer opened a ticket asking if this could implemented to RHEL, stating that this is something already doable with SuSE on AWS via 'cloud-netconfig'[1] tool:
 https://www.suse.com/c/multi-nic-cloud-netconfig-ec2-azure/

It would be very helpful if similar solution would be available for RHEL as well.

Comment 6 Thomas Haller 2019-07-02 16:13:38 UTC
this needs more thought. For now, dropping from the RPL for rhel-8.1

Comment 7 Thomas Haller 2019-11-27 16:44:24 UTC
A new tool nm-cloud-setup is to be created.

Currently on review here: https://gitlab.freedesktop.org/NetworkManager/NetworkManager/merge_requests/348


Currently it only supports IPv4 on EC2. Of course, that is supposed to be extended to Azure, once this is shown to work well.

Comment 8 Thomas Haller 2019-11-28 21:28:52 UTC
Upstream merged the "nm-cloud-setup" tool.

Note that this is the first shot at this tool. It's not yet production ready, but something we can start testing and improve upon.

While this is not yet the full solution, I move the bug to MODIFIED and ON_QA.

This was we can start testing and collect more specific bug reports about the remaining issues (if any).

Comment 14 Xiao, Liang 2020-01-17 06:14:18 UTC
Created attachment 1652955 [details]
journal_t3a.large.log

Comment 16 Vladimir Benes 2020-02-19 16:22:45 UTC
setup:
dnf install NetworkManager-cloud-setup
sed -i "s/#Environment=NM_CLOUD_SETUP_EC2=yes/Environment=NM_CLOUD_SETUP_EC2=yes/" /usr/lib/systemd/system/nm-cloud-setup.service

before running nm-cloud-setup:
ip a s eth0

2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 9001 qdisc fq_codel state UP group default qlen 1000
    link/ether 0a:b8:42:8d:3b:c6 brd ff:ff:ff:ff:ff:ff
    inet 172.31.23.196/20 brd 172.31.31.255 scope global dynamic noprefixroute eth0
       valid_lft 3194sec preferred_lft 3194sec
    inet6 fe80::8b8:42ff:fe8d:3bc6/64 scope link 
       valid_lft forever preferred_lft forever

after
systemctl restart nm-cloud-setup
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 9001 qdisc fq_codel state UP group default qlen 1000
    link/ether 0a:b8:42:8d:3b:c6 brd ff:ff:ff:ff:ff:ff
    inet 172.31.23.196/20 brd 172.31.31.255 scope global noprefixroute eth0
       valid_lft forever preferred_lft forever
    inet 172.31.23.36/20 brd 172.31.31.255 scope global secondary noprefixroute eth0
       valid_lft forever preferred_lft forever


This is enough to verify this bug, however test case is not written.

Comment 18 errata-xmlrpc 2020-04-28 16:52:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1847


Note You need to log in before you can comment on or make changes to this bug.